Subject: Re: B19: Installation of Cygwin32 into directory with spaces in name
From: [email-masked] (Stephen Vance)

28 Aug 1998 22:39:15 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: David Campbell <[email-masked]>
Cc: [email-masked]

David Campbell wrote:

> Hi,
>
> When I first installed CygWin32, the directory I installed it in was
> under D:\Program Files.  I found that to run shell scripts properly,
> I had to uninstall Cygwin32 and reinstall it under a directory which
> had no spaces in its pathname, otherwise shells interpreting scripts
> could never be executed (it tries to run Files/....).

Another solution to the problem is to include the following as the first line
of your
..bashrc:

export PATH=`echo $PATH | sed -e 's/Program Files/Progra~1/g'`

It's a serious hack and may require an explicit path to sed (echo is a
builtin) depending
on your path, but it works just fine.

--
Stephen Vance                           |  http://www.deneb.com
Deneb Robotics, Inc.                    |  mailto:[email-masked]
5500 New King Street                    |  Phone: (248) 267-9696
Troy, MI 48098-2615                     |  Fax:   (248) 267-8585

What is done well is done quickly enough. -Augustus Caesar

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".